pkcs11-tool(1)

NAME
pkcs11-tool - utility for managing and using PKCS #11 security tokens

SYNOPSIS
pkcs11-tool [OPTIONS]

DESCRIPTION
The pkcs11-tool utility is used to manage the data objects on smart cards and similar PKCS #11 security tokens. Users can list and read PINs, keys and certificates stored on the token. User PIN authentication is performed for those operations that require it.

OPTIONS

--login, -l
    Authenticate to the token before performing other operations. This option is not needed if a PIN is provided on the command line.

--pin pin, -p pin
    Use the given pin for token operations. WARNING: Be careful using this option as other users may be able to read the command line from the system or if it is embedded in a script.

--change-pin, -c
    Change the user PIN on the token

--test, -t
    Performs some tests on the token. This option is most useful when used with either --login or --pin.

--show-info, -I
    Displays general token information.

--list-slots, -L
    Displays a list of available slots on the token.

--list-mechanisms, -M
    Displays a list of mechanisms supported by the token.

--list-objects, -O
    Displays a list of objects.

--sign, -s
    Sign some data.

--hash, -h
    Hash some data.

--mechanism mechanism, -m mechanism
    Use the specified mechanism for token operations. See -M for a list of mechanisms supported by your token.

--keypairgen, -k
    Generate a new key pair (public and private pair.)

--write-object id, -w id
    Write a key or certificate object to the token.

--type type, -y type
    Specify the type of object to operate on. Examples are cert , privkey and pubkey .

--id id, -d id
    Specify the id of the object to operate on."

--label name, -a name
    Specify the name of the object to operate on.

--slot id
    Specify the id of the slot to use.

--slot-id name
    Specify the name of the slot to use.

--set-id id, -e id
    Set the CKA_ID of the object.

--input-file path, -i path
    Specify the path to a file for input.

--output-file path, -o path
    Specify the path to a file for output.

--module mod
    Specify a module to load.

--moz-cert path, -z path
    Tests a Mozilla-like keypair generation and certificate request. Specify the path to the certificate file.

--verbose, -v
    Causes pkcs11-tool to be more verbose. Specify this flag several times to enable debug output in the opensc library.

SEE ALSO
opensc(7).

AUTHORS
pkcs11-tool was written by Olaf Kirch and Stef Hoeben. This manpage was contributed by Joe Phillips <joe.phillips@innovationsw.com> for the Debian GNU/Linux system (but may be used by others).